
Infrastructure - Story #1090

Consolidate common test resources into new shared package

2010-11-17 18:17 - Rob Nahf

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee: Rob Nahf % Done: 100%

Category:  Estimated time: 0.00 hour

Target version:    

Story Points:    

Description

Migrate useful test resources currently scattered in different packages to the common location to enable reuse.  

Related issues:

Related to Infrastructure - Story #1086: Create a common test resources location Closed 2010-11-30

Blocked by Infrastructure - Task #1124: move common test resources to own pac... Closed 2010-11-30

Follows Infrastructure - Task #1089: determine resource organization below th... Closed

History

#1 - 2010-11-17 18:52 - Rob Nahf

Once the final location and organization is decided, decide which data currently located under unit tests (or elsewhere) can be moved to common

location, and refactor code as necessary.

This will probably be broken down into sub-tasks for each person.

#2 - 2010-11-30 23:40 - Rob Nahf

- Parent task deleted (#1086)

#3 - 2010-11-30 23:42 - Rob Nahf

- Tracker changed from Task to Story

- Start date set to 2010-11-30

- Target version changed from Sprint-2010.48 to Sprint-2010.49

- Subject changed from move common test files into new location, refactor unit tests as needed to Consolidate common test resources into

d1_testdocs

#4 - 2010-12-13 18:34 - Dave Vieglais

- Position set to 5

- Target version changed from Sprint-2010.49 to Sprint-2010.50

#5 - 2010-12-13 19:08 - Robert Waltz

- Position set to 15

- Position deleted (16)

#6 - 2011-01-03 02:50 - Dave Vieglais

- Target version changed from Sprint-2010.50 to Sprint-2011.02

#7 - 2011-01-17 16:24 - Dave Vieglais

- Position deleted (28)
- Position set to 47

- Target version changed from Sprint-2011.02 to Sprint-2011.03

#8 - 2011-01-24 17:41 - Rob Nahf

- Target version changed from Sprint-2011.03 to Sprint-2011.08

roll in with the other related stories

#9 - 2011-01-24 19:27 - Rob Nahf

- Parent task set to #1086

may be superfluous...

#10 - 2011-05-04 16:29 - Rob Nahf

- translation missing: en.field_remaining_hours set to 4.0

- Subject changed from Consolidate common test resources into d1_testdocs to Consolidate common test resources into new shared package

#11 - 2011-05-04 16:30 - Rob Nahf

- Assignee set to Rob Nahf

#12 - 2011-05-31 17:05 - Rob Nahf

- Parent task deleted (#1086)

changing to it's own story.  Subdivide into tasks.

#13 - 2011-05-31 17:06 - Rob Nahf

- Tracker changed from Task to Story

#14 - 2011-05-31 17:06 - Rob Nahf

- Target version deleted (Sprint-2011.22-Block.3)

passing back to the backlog

#15 - 2011-08-30 01:58 - Dave Vieglais

- Position deleted (155)

- Position set to 35

#16 - 2014-10-02 17:35 - Skye Roseboom

- Status changed from New to Closed

- Milestone set to None

- Start date deleted (2010-11-30)

- translation missing: en.field_remaining_hours changed from 4.0 to 0.0
